1. 📢 Public
TunnelSats Public Wireguard API
  • About our team
  • 📢 Public
    • List available VPN servers
      GET
    • Create a new VPN subscription
      POST
    • Claim a WireGuard configuration after payment
      POST
    • Check subscription status via payment hash
      GET
    • Renew an existing VPN subscription
      POST
    • Get Subscription Status
      POST
  • 🔐 Authenticated
    • Sync Subscription
      POST
    • Create Referral Code
      POST
    • Referral History
      GET
    • List all active/paid subscriptions for the account
      GET
  • Announcements
    • 💫 What is TunnelSats?
    • 🚀 Introducing the TunnelSats Public API v1
    • How TunnelSats Leverages Public APIs for Confined VPN Management
  • Cookbook
    • 🛠️ Automation & Code Examples
    • 🐚 Bash One-Liners
    • 🛑 Error Codes & Troubleshooting
    • 🎁 Referral Program: Earn Bonus Months
    • 🚑 Node Health & Upkeep
    • 🛡️ Security & Authentication
  • Schemas
    • Server
    • InvoiceOrder
    • SubscriptionStatus
    • WireGuardConfig
    • ReferralCode
    • ReferralHistory
    • NodeLookup
    • ConnectivityResult
    • RenewalOrder
    • ClaimResult
    • ApiError
    • SubscriptionListItem
  1. 📢 Public

Check subscription status via payment hash

GET
/api/public/v1/subscription/{paymentHash}

Request

Path Params

Responses

🟢200
application/json
Success
Body

🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://tunnelsats.com/api/public/v1/subscription/'
Response Response Example
{
    "paymentHash": "string",
    "status": "unpaid",
    "serverId": "string",
    "duration": 0,
    "isProvisioned": true,
    "server": {
        "domain": "string",
        "endpoint": "string"
    },
    "subscriptionEnd": "2019-08-24T14:15:22.123Z",
    "message": "string"
}
Modified at 2026-04-12 12:52:49
Previous
Claim a WireGuard configuration after payment
Next
Renew an existing VPN subscription
Built with